Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const core = require('@sentry/core');
const debugBuild = require('../utils/debug-build.js');
const react = require('@sentry/react');
const sdk = require('./sdk.js');
const errors = require('./errors.js');
const performance = require('./performance.js');
const browserTracingIntegration = require('./browserTracingIntegration.js');

// This is a no-op function that does nothing. It's here to make sure that the
// function signature is the same as in the server SDK.
// See issue: https://github.com/getsentry/sentry-javascript/issues/9594
/* eslint-disable @typescript-eslint/no-unused-vars */
/**
 *
 */
async function captureRemixServerException(err, name, request) {
  debugBuild.DEBUG_BUILD &&
    core.logger.warn(
      '`captureRemixServerException` is a server-only function and should not be called in the browser. ' +
        'This function is a no-op in the browser environment.',
    );
}

exports.init = sdk.init;
exports.captureRemixErrorBoundaryError = errors.captureRemixErrorBoundaryError;
exports.withSentry = performance.withSentry;
exports.browserTracingIntegration = browserTracingIntegration.browserTracingIntegration;
exports.captureRemixServerException = captureRemixServerException;
Object.prototype.hasOwnProperty.call(react, '__proto__') &&
  !Object.prototype.hasOwnProperty.call(exports, '__proto__') &&
  Object.defineProperty(exports, '__proto__', {
    enumerable: true,
    value: react['__proto__']
  });

Object.keys(react).forEach(k => {
  if (k !== 'default' && !Object.prototype.hasOwnProperty.call(exports, k)) exports[k] = react[k];
});
//# sourceMappingURL=index.js.map
