Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const core = require('@sentry/core');
const react = require('@sentry/react');

/**
 * Initializes the Remix SDK.
 * @param options The configuration options.
 * @returns The initialized SDK.
 */
function init(options) {
  const opts = {
    ...options,
    environment: options.environment || process.env.NODE_ENV,
  };

  core.applySdkMetadata(opts, 'remix', ['remix', 'react']);

  return react.init(opts);
}

exports.init = init;
//# sourceMappingURL=sdk.js.map
