Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const node = require('@sentry/node');

/**
 * The http integration instruments Node's internal http and https modules.
 * It creates breadcrumbs and spans for outgoing HTTP requests which will be attached to the currently active span.
 */
const httpIntegration = ((options = {}) => {
  return node.httpIntegration({
    ...options,
    // We disable incoming request spans here, because otherwise we'd end up with duplicate spans.
    disableIncomingRequestSpans: true,
  });
}) ;

exports.httpIntegration = httpIntegration;
//# sourceMappingURL=http.js.map
