import { logger } from '@sentry/core';
import { DEBUG_BUILD } from '../utils/debug-build.js';
export * from '@sentry/react';
export { init } from './sdk.js';
export { captureRemixErrorBoundaryError } from './errors.js';
export { withSentry } from './performance.js';
export { browserTracingIntegration } from './browserTracingIntegration.js';

// This is a no-op function that does nothing. It's here to make sure that the
// function signature is the same as in the server SDK.
// See issue: https://github.com/getsentry/sentry-javascript/issues/9594
/* eslint-disable @typescript-eslint/no-unused-vars */
/**
 *
 */
async function captureRemixServerException(err, name, request) {
  DEBUG_BUILD &&
    logger.warn(
      '`captureRemixServerException` is a server-only function and should not be called in the browser. ' +
        'This function is a no-op in the browser environment.',
    );
}

export { captureRemixServerException };
//# sourceMappingURL=index.js.map
