import { instrumentBuild as instrumentBuild$1 } from '../server/instrumentServer.js';
export { makeWrappedCreateRequestHandler, sentryHandleError } from '../server/instrumentServer.js';
export * from '@sentry/react';
export { ErrorBoundary } from '@sentry/react';
export { captureRemixErrorBoundaryError } from '../client/errors.js';
export { withSentry } from '../client/performance.js';
export { SDK_VERSION, SEMANTIC_ATTRIBUTE_SENTRY_OP, SEMANTIC_ATTRIBUTE_SENTRY_ORIGIN, SEMANTIC_ATTRIBUTE_SENTRY_SAMPLE_RATE, SEMANTIC_ATTRIBUTE_SENTRY_SOURCE, Scope, addBreadcrumb, addEventProcessor, addIntegration, captureCheckIn, captureConsoleIntegration, captureEvent, captureException, captureFeedback, captureMessage, close, continueTrace, createTransport, dedupeIntegration, extraErrorDataIntegration, flush, functionToStringIntegration, getActiveSpan, getClient, getCurrentScope, getGlobalScope, getIsolationScope, getRootSpan, getSpanDescendants, getSpanStatusFromHttpCode, getTraceData, getTraceMetaTags, inboundFiltersIntegration, instrumentSupabaseClient, isEnabled, isInitialized, lastEventId, linkedErrorsIntegration, moduleMetadataIntegration, requestDataIntegration, rewriteFramesIntegration, setContext, setCurrentClient, setExtra, setExtras, setHttpStatus, setMeasurement, setTag, setTags, setUser, spanToBaggageHeader, spanToJSON, spanToTraceHeader, startInactiveSpan, startNewTrace, startSpan, startSpanManual, supabaseIntegration, suppressTracing, trpcMiddleware, updateSpanName, withActiveSpan, withIsolationScope, withMonitor, withScope, zodErrorsIntegration } from '@sentry/core';
import '../utils/debug-build.js';
export { browserTracingIntegration } from '../client/browserTracingIntegration.js';

/**
 * Instruments a Remix build to capture errors and performance data.
 * @param build The Remix build to instrument.
 * @returns The instrumented Remix build.
 */
const instrumentBuild = build => {
  return instrumentBuild$1(build, {
    instrumentTracing: true,
  });
};

export { instrumentBuild };
//# sourceMappingURL=index.js.map
