import type { Client, Integration, Options, StackParser } from '@sentry/core';
import * as clientSdk from './index.client';
import * as serverSdk from './index.server';
import type { RemixOptions } from './utils/remixOptions';
export * from './index.client';
export * from './index.server';
/** Initializes Sentry Remix SDK */
export declare function init(options: RemixOptions): Client | undefined;
export declare const browserTracingIntegration: typeof clientSdk.browserTracingIntegration;
export declare const linkedErrorsIntegration: typeof clientSdk.linkedErrorsIntegration;
export declare const contextLinesIntegration: typeof clientSdk.contextLinesIntegration;
export declare const getDefaultIntegrations: (options: Options) => Integration[];
export declare const defaultStackParser: StackParser;
export declare function captureRemixServerException(err: unknown, name: string, request: Request): Promise<void>;
export declare const logger: typeof clientSdk.logger | typeof serverSdk.logger;
export declare const close: typeof clientSdk.close;
export declare const flush: typeof clientSdk.flush;
export declare const lastEventId: typeof clientSdk.lastEventId;
//# sourceMappingURL=index.types.d.ts.map