import type { ActionFunctionArgs, LoaderFunctionArgs, ServerBuild } from '@remix-run/node';
import type { AgnosticRouteObject } from '@remix-run/router';
import type { Span, TransactionSource } from '@sentry/core';
type ServerRouteManifest = ServerBuild['routes'];
/**
 *
 */
export declare function storeFormDataKeys(args: LoaderFunctionArgs | ActionFunctionArgs, span: Span, formDataKeys?: Record<string, string | boolean> | undefined): Promise<void>;
/**
 * Get transaction name from routes and url
 */
export declare function getTransactionName(routes: AgnosticRouteObject[], url: URL): [string, TransactionSource];
/**
 * Creates routes from the server route manifest
 *
 * @param manifest
 * @param parentId
 */
export declare function createRoutes(manifest: ServerRouteManifest, parentId?: string): AgnosticRouteObject[];
export {};
//# sourceMappingURL=utils.d.ts.map